var express = require("express");
var router = express.Router();
var fs = require("fs");
var path = require("path");
var User = require("../models/user");
var Book = require("../models/Book");

// 책 목록 불러오기
router.get("/", function(req, res) {
  console.log("Get start");
  Book.find({}, function(err, Books) {
    if (err) res.json({ result: false, message: "not found Books" });
    res.json(Books);
  });
});

// 특정 책 불러오기(id값으로 불러옴)
router.get("/:id", function(req, res) {
  Book.findById(req.params.id, function(err, book) {
    if (err) {
      console.error(err);
      return;
    }
    if (!book) {
      res.json({ result: false, message: "Cannot find book" });
    }
    res.send(book);
  });
});

// 책 추가
router.post("/", function(req, res) {
  console.log("Post start");
  const Book_info = req.body;

  Book.create(Book_info)
    .then(result => {
      if (result) res.json({ result: true });
      else res.json({ result: false });
    })
    .catch(function(error) {
      console.log(error);
    });
});

// 책 판매
router.post("/:id", function(req, res) {
  Book.findById(req.params.id, function(err, book) {
    if (err) {
      console.error(err);
      return;
    }
    console.log(req.body.userId);
    book.seller.push({ seller_id: req.body.userId, on_transaction: false });
    book.stock++;
    book.save();
    res.json({ result: true });
  });
});

module.exports = router;
